Skip to content

Modify User Part-time Job

Permissions

The Identity Management API is authorized at the application level. Before calling the API, you need to set API permissions for different applications. For details, please refer to API Permissions.

Permission CodeDescription
user_allRead and write permissions for user management APIs
allRead and write permissions for all APIs

Request Description

Request Headers

Parameter NameNameRequiredTypeDescription
AuthorizationAuthorizationYesStringFormat: Bearer {access_token}
Content-TypeContent TypeYesStringFixed value: application/json; charset=utf-8

Request Example

json
{
    "org_code": "10000",
    "position_code": "IDaaS_Java_Developer",
    "title_code": "Senior_Engineer"
}

TIP

Modifies part-time job information for the user based on the requested user ID.

Request Parameters

Parameter NameNameRequiredTypeDescription
user_idUser IDYesStringID of the user to modify
job_idPart-time Job IDYesStringID of the part-time job to modify
org_codeOrganization CodeYesStringPart-time organization code
position_codePosition CodeNoStringConcurrent position; if not passed, it will be cleared
title_codeJob Title CodeNoStringConcurrent job title; if not passed, it will be cleared

Response Example

Success Example

HTTP/1.1 200 OK

json
{
  "job_id": "20201028102749564-9082-DC8CD2722"
}

Error Example

HTTP/1.1 400 Bad Request

json
{
  "error_msg": "User does not exist",
  "error_code": "USER.0001"
}

Response Parameters

Parameter NameNameTypeDescription
job_idJob IDString

Error Codes

Status CodeError CodeChinese Error MessageEnglish Error MessageResolution
400ENT.CONFIG.0031任职管理功能未开启,请先开启此功能The job management function is not enabled, please enable this function firstPlease enable job management in the Enterprise Center first
400ORG.0001组织不存在Organization does not existPlease check whether the corresponding organization exists
400JOB.POSITION.0001职位不存在Position does not existPlease check whether the corresponding position exists
400JOB.TITLE.0001职务不存在Job title does not existPlease check whether the corresponding job title exists
400USER.0001用户不存在User does not existPlease check whether the corresponding user exists
400USER.0093用户任职信息不存在The user's employment information does not existPlease check whether the corresponding job exists
400USER.0094用户任职信息中的组织不能为空The organization in the user's employment information cannot be emptyPlease fill in the organization in the job information
400USER.0095用户任职信息中的职位不能为空The position in the user's employment information cannot be emptyPlease fill in the position in the job information
400USER.0096用户任职信息中的职务不能为空The job title in the user's employment information cannot be emptyPlease fill in the job title in the job information
400USER.0097用户任职信息中的职位不在所选组织下Please check whether the position in the job information is under the corresponding organization

BambooCloud IDaaS Open Platform